QT -= gui
QT += sql

CONFIG += c++11 console
CONFIG -= app_bundle

LIBS += -lfuse3

win32 {

  TARGET         = dbfs
  DESTDIR_TARGET = build\\windows\\dbfs.exe
  OBJECTS_DIR    = build\\windows
  MOC_DIR        = build\\windows
  RCC_DIR        = build\\windows
  DESTDIR        = build\\windows

} else {

  TARGET      = build/linux/dbfs
  OBJECTS_DIR = build/linux
  MOC_DIR     = build/linux
  RCC_DIR     = build/linux

}

HEADERS += \
    src/common.h \
    src/db.h \
    src/fuse_func.h \
    src/unix_signal.h

SOURCES += \
    src/common.cpp \
    src/db.cpp \
    src/fuse_func.cpp \
    src/main.cpp \
    src/unix_signal.cpp

RESOURCES += \
    docs.qrc
